using System;

internal sealed class Delegate643 : MulticastDelegate
{
	public extern AggregateException Invoke(object object_0);

	public static AggregateException smethod_0(object object_0, Delegate643 delegate643_1)
	{
		return delegate643_1(object_0);
	}

	public extern Delegate643(object object_0, IntPtr intptr_0);

	static Delegate643()
	{
		Class10.smethod_13(typeof(Delegate643).TypeHandle);
	}

	internal static Delegate643 delegate643_0;
}
